<?php
class skin_base extends myQuicty {


function pre_dispatch_index() {
	parent::pre_dispatch_index();
	$this->caching = 0; // caching page flag: 0 = none; 1 = simple; 2 = each query
	$this->cache_lifetime = 1800; // cache life time by seconds
	$this->cache_id = get_query_id();
	$this->page['base_url'] = quicty_base_url();
	$this->page['data_name'] = 'skin';
	return true;
}

function display_record($condition='') {
	require_once 'form_options.class.php';
	$this->form = $this->new_data_set('skin');
	$options = new skin_form_options($this);
	$options->set_form_options();
	$this->form->validate_and_freeze();
	$this->form->bind_button_control();
	
	//$result = $this->form->automatic_form_handler($condition);
	//$this->skin = $result['skin'] ? $result['skin'] : $result['values'];
	return $result;
}


function assign_page_and_pathlist() {
	$upper_path = '¥¢¥×¥ê';
	$this->add_pathlist("/info?id=".$_GET['application_id'],$upper_path,false);
	$this->add_pathlist('',$this->page['name']);
	$this->assign('page',$this->page);
}

} // end of skin_base class
?>